include:
  remote: https://gitlab.com/pantacor/ci/container-ci/raw/master/yml/component-ci.yml


build-amd64-musl:
  extends: .build-component
  variables:
    ARCH: "amd64"
    QEMU_ARCH: "x86_64"
    LIBC: "musl"
    CROSS: ""
    DISTRO: ""

build-amd64-glibc:
  extends: .build-component
  variables:
    ARCH: "amd64"
    QEMU_ARCH: "x86_64"
    LIBC: "glibc"
    CROSS: ""
    DISTRO: ""

build-arm32v6-musl:
  extends: .build-component
  variables:
    ARCH: "arm32v6"
    QEMU_ARCH: "arm"
    LIBC: "musl"
    CROSS: "arm-linux-musleabihf"
    DISTRO: ""

build-arm32v5-glibc:
  extends: .build-component
  variables:
    ARCH: "arm32v5"
    QEMU_ARCH: "arm"
    LIBC: "glibc"
    CROSS: "arm-linux-gnueabi"
    DISTRO: ""
